SearchListener.FilterByLength (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.ssaha.SearchListener.FilterByLength class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssaha
Class SearchListener.FilterByLength

    java.lang.Object
      org.biojava.bio.program.ssaha.SearchListener.Wrapper
          org.biojava.bio.program.ssaha.SearchListener.FilterByLength

All Implemented Interfaces:
  SearchListener

Enclosing interface:
  SearchListener

    public static final class SearchListener.FilterByLength

extends SearchListener.Wrapper

A simple listener that filters out all hits that are too short.

Since:
  1.4
Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.ssaha.SearchListener
`SearchListener.Echo, SearchListener.FilterByLength, SearchListener.Tee, SearchListener.Wrapper`

Constructor Summary
`SearchListener.FilterByLength(SearchListener delegate, int minLength)`

Method Summary
`void` | `hit(int hitID, int queryOffset, int hitOffset, int hitLength)` There has been a hit between the query sequence and a database sequence.

Methods inherited from class org.biojava.bio.program.ssaha.SearchListener.Wrapper
`endSearch, startSearch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchListener.FilterByLength

    public SearchListener.FilterByLength(SearchListener delegate,
                                         int minLength)

Method Detail

### hit

    public void hit(int hitID,
                    int queryOffset,
                    int hitOffset,
                    int hitLength)

  Description copied from interface: `SearchListener`
  There has been a hit between the query sequence and a database sequence.

  Specified by:
    `hit` in interface `SearchListener`
  Overrides:
    `hit` in class `SearchListener.Wrapper`
  Parameters:
    `hitID` - the number of the sequence hit; resolvable by String id = DataStore.seqNameForID(hitID)
    `queryOffset` - the offset into the query sequence
    `hitOffset` - the offset into the sequence hit in the database
    `hitLength` - the number of symbols hit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD